/**
 * @enum Used to refer to the type of toast being displayed
 */
export enum ToastType {
    Info = "info",
    Success = "success",
    Error = "error"
}

/**
 * @class Toast Notification
 */
export class Toast {
    constructor(text: String, type: ToastType, dismissable: boolean, timeout: number ) {
        this.text = text;
        this.type = type;
        this.dismissable = dismissable;
        this.timeout = timeout;
    }

    id: number = 0;
    text: String;
    type: ToastType;
    dismissable: Boolean;
    timeout: number;
}